Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354515 - problem with ocaml-findlib
Summary: problem with ocaml-findlib
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: frama-c
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 13:19 UTC by Aleksy Schubert
Modified: 2016-07-22 18:22 UTC (History)
2 users (show)

Fixed In Version: frama-c-1.13-2.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-22 18:22:33 UTC


Attachments (Terms of Use)
Requirements of Frama-C (deleted)
2016-07-11 13:19 UTC, Aleksy Schubert
no flags Details

Description Aleksy Schubert 2016-07-11 13:19:08 UTC
Created attachment 1178398 [details]
Requirements of Frama-C

Description of problem:

Once I installed Frama-C on Fedora-24 XFCE and run the program on my Fedora box I got the message

     Unexpected error (Failure("Config file not found - neither

/etc/ocamlfind.conf nor the directory /etc/ocamlfind.conf.d")).
Please report as 'crash' at http://bts.frama-c.com/.
Your Frama-C version is Aluminium-20160501.
Note that a version and a backtrace alone often do not contain enough
information to understand the bug. Guidelines for reporting bugs are

This message disappeared when I installed separately

ocaml-findlib-1.5.5-8.fc24.x86_64

Apparently something was wrong with the dependencies of Frama-C at that point of the time as

ocaml-findlib-devel

is in the dependencies of Frama-C:

https://apps.fedoraproject.org/packages/frama-c/sources/spec/

Still, the actual dependencies obtained as

    rpm -qR frama-c

are silent about ocaml-findlib (see attachment).




Version-Release number of selected component (if applicable): frama-c-1.13-1.fc24.x86_64




How reproducible:


Steps to Reproduce:
1. Make sure you do not have ocaml installed
2. Install Frama-C together with its dependencies
3. Run frama-c on some file

Actual results:


Expected results:


Additional info:

Comment 1 Fedora Update System 2016-07-14 19:59:05 UTC
why-2.35-16.fc24 frama-c-1.13-2.fc24 why3-0.87.1-2.fc24 gappalib-coq-1.2.1-3.fc24 zenon-0.8.2-2.fc24 flocq-2.5.1-3.fc24 coq-8.5pl2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3f408bd89d

Comment 2 Fedora Update System 2016-07-15 11:53:37 UTC
coq-8.5pl2-1.fc24, flocq-2.5.1-3.fc24, frama-c-1.13-2.fc24, gappalib-coq-1.2.1-3.fc24, why-2.35-16.fc24, why3-0.87.1-2.fc24, zenon-0.8.2-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3f408bd89d

Comment 3 Fedora Update System 2016-07-22 18:22:31 UTC
coq-8.5pl2-1.fc24, flocq-2.5.1-3.fc24, frama-c-1.13-2.fc24, gappalib-coq-1.2.1-3.fc24, why-2.35-16.fc24, why3-0.87.1-2.fc24, zenon-0.8.2-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.